Style feature blending mode update after change in layer filter
Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 19091

Description

I have a point layer with an activated filter expression subset. In the layer style properties, I classified my data categorized by (actually

classified by year). I used the feature blending mode 'lighten'. feature blending mode is a brilliant invention by the way!

If I know change my layer filter expression, the feature blending mode doesn't update automatically. I first have to delete all the content of

the legend, classify again, apply, and then I have the updated feature blending of the updated filter expression. I think the feature blending

mode should update automatically after an updated filter expression?!!

The bug occurs in QGIS 2.2 and 2.3

History

#1 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2017-05-01 01:08 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

2025-04-27 1/1

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

